//
//  PlayerListView.swift
//  DouShouQiIOS
//
//  Created by Pierre FERREIRA on 13/05/2024.
//

import SwiftUI

struct PlayerListView: View {
    var body: some View {
        
        VStack{
            Text("Classement des joueurs").scaleEffect(1.75)
            
            NavigationStack {
                List {
                    NavigationLink("Billy", value: "Billy")
                    NavigationLink("Bob", value: "Bob")
                    NavigationLink("Bromingo", value: "Bromingo")
                }
                .navigationDestination(for: String.self) { name in
                    PlayerView(name: name)
                }
                .navigationTitle("Players")
            }
        }
    }
}

struct PlayerListView_Previews: PreviewProvider {
    static var previews: some View {
        PlayerListView()
    }
}
