//
//  PlayerView.swift
//  DouShouQiIOS
//
//  Created by Pierre FERREIRA on 13/05/2024.
//

import SwiftUI

struct PlayerView: View {
    var name : String;
    var body: some View {
        ZStack{
            Rectangle().fill(Color.indigo)
            VStack{
                HStack{
                    Image("Blob")
                        .scaleEffect(0.5)
                        .frame(width: 20, height: 20)
                    Spacer()
                    VStack(alignment: .leading){
                        Text("Name : \(name)")
                        Text("Sname :")
                        Text("Age :")
                        Text("Classement :")
                    }.background(Color.pink)
                }.padding(40).background(Color.purple)
                Spacer()
                VStack{
                    Text("Statistiques").fontWeight(.heavy)
                    Grid{
                        GridRow{
                            Text("Nb Win").frame(width: 100, height: 50, alignment: .center)
                                .border(.black, width: 4)
                                .cornerRadius(15)
                            Text("9")
                        }
                        GridRow{
                            Text("Nb Los").frame(width: 100, height: 50, alignment: .center)
                                .border(.black, width: 4)
                                .cornerRadius(15)
                            Text("5")
                        }
                        GridRow{
                            Text("Nb Game").frame(width: 100, height: 50, alignment: .center)
                                .border(.black, width: 4)
                                .cornerRadius(15)
                            Text("14")
                        }
                    }
                }.background(Color.orange).scaleEffect(1.5)
                Spacer()
            }.padding(20)//.background(Color.purple)
        }
        
    }
}

struct PlayerView_Previews: PreviewProvider {
    static var previews: some View {
        PlayerView(name: "bro")
    }
}
